Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ProfileManager.CustomProfile

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile
  - - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.CustomProfile

All Implemented Interfaces:
  `java.lang.Comparable<ProfileManager.Profile>`

Direct Known Subclasses:
  `ProfileManager.SharedProfile`

Enclosing class:
  ProfileManager

    public static class ProfileManager.CustomProfile
    extends ProfileManager.Profile

Represents a user-defined profile. A custom profile can be modified after instantiation.

### Field Summary

Fields
`protected ProfileManager` `fManager`

### Constructor Summary

Constructors
`CustomProfile​(java.lang.String name, java.util.Map<java.lang.String,​java.lang.String> settings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(ProfileManager.Profile o)`
`java.lang.String` `getID()`
`ProfileManager` `getManager()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,​java.lang.String>` `getSettings()`
`boolean` `isProfileToSave()`
`ProfileManager.Profile` `rename​(java.lang.String name, ProfileManager manager)`
`void` `setManager​(ProfileManager profileManager)`
`void` `setSettings​(java.util.Map<java.lang.String,​java.lang.String> settings)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile

`hasEqualSettings, isBuiltInProfile, isSharedProfile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fManager

    protected ProfileManager fManager

### Constructor Detail

#### CustomProfile

    public CustomProfile​(java.lang.String name,
                         java.util.Map<java.lang.String,​java.lang.String> settings)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `ProfileManager.Profile`

#### rename

    public ProfileManager.Profile rename​(java.lang.String name,
                                         ProfileManager manager)

Specified by:
  `rename` in class `ProfileManager.Profile`

#### getSettings

    public java.util.Map<java.lang.String,​java.lang.String> getSettings()

Specified by:
  `getSettings` in class `ProfileManager.Profile`

#### setSettings

    public void setSettings​(java.util.Map<java.lang.String,​java.lang.String> settings)

Specified by:
  `setSettings` in class `ProfileManager.Profile`

#### getID

    public java.lang.String getID()

Specified by:
  `getID` in class `ProfileManager.Profile`

#### setManager

    public void setManager​(ProfileManager profileManager)

#### getManager

    public ProfileManager getManager()

#### isProfileToSave

    public boolean isProfileToSave()

Specified by:
  `isProfileToSave` in class `ProfileManager.Profile`

#### compareTo

    public int compareTo​(ProfileManager.Profile o)